{% extends 'HCUEAtencionMedicBundle::layout.html.twig' %}

{% block title %} Atención Médica {% endblock title %}

{% block page_header_content %}
    <h1>
        Atención Médica
        <small>
            <i class="ace-icon fa fa-angle-double-right"></i>
            Seleccione la especialidad
        </small>
    </h1>
{% endblock page_header_content %}

{% block bradcrumbs ''%}

{% block page_main_content %}

    {% if permiso %}
        {% if funcespecialidad %}
            <style type="text/css">
                .btn_especialidades {
                    line-height: 1.6rem !important;
                    width: 110px !important;
                    height: 100px;
                }
                .btn_especialidades span {
                    overflow: hidden;
                    white-space: normal;
                    font-size: 15px;
                }
            </style>
            <div class="center">
                {% for funcesp in funcespecialidad %}
                    {% set icon='icon-internal-medicine' %}
                    {% if funcesp.ctespecialidad.valor %}
                        {% set icon=funcesp.ctespecialidad.valor  %}
                    {% endif %}
                    <button onclick="location.href='{{ path('hcue_amed_dashboard_header', {"especialidad_id":funcesp.ctespecialidad.id}) }}';"  title="{{ funcesp.ctespecialidad.descripcion }}" class="btn_especialidades btn btn-primary btn-app btn-xl">
                        <i class="ace-icon {{icon}} bigger-200"></i>
                        <span>{{ funcesp.ctespecialidad.descripcion|length > 20 ? funcesp.ctespecialidad.descripcion|slice(0, 20) ~ '...' : funcesp.ctespecialidad.descripcion }} </span>
                    </button>
                {% endfor %}
            </div>
        {% else %}
            <div class="alert alert-danger">
                <strong>
                    <i class="ace-icon fa fa-times"></i>
                    Oh lo sentimos !
                </strong>
                El usuario no tiene especialidades autorizadas, comuníquese con el administrador.
                <br>
            </div>
        {% endif %}
    {% endif %}

{% endblock %}